## gate.persist
Class PersistenceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.persist.PersistenceException

All Implemented Interfaces:
  Serializable

public class PersistenceException
extends GateException

This exception indicates failure during persistence operations.

See Also:
  Serialized Form

Constructor Summary
`PersistenceException()` Default construction
`PersistenceException(Exception e)` Construction from exception
`PersistenceException(String s)` Construction from string

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceException

    public PersistenceException()

  Default construction

### PersistenceException

    public PersistenceException(String s)

  Construction from string

### PersistenceException

    public PersistenceException(Exception e)

  Construction from exception